<template>
  <div id="newsDetail">
    <el-row>
      <el-col :span="24" class="info">
        <h3>{{ details.title }}</h3>
        <div>
          <span>文章来源:{{ details.source }}</span>
          <span>时间:{{ details.date }}</span>
        </div>
        <p>{{ details.content }}</p>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapState, createNamespacedHelpers } from 'vuex';
export default {
  name: 'newsDetail',
  props: {
    details: null,
  },
  components: {},
  data: function() {
    return {};
  },
  created() {},
  methods: {},
  computed: {
    ...mapState(['user']),
    pageTitle() {
      return `${this.$route.meta.title}`;
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.info {
  padding: 20px 0;
  h3 {
    font-size: 24px;
    color: #005293;
    text-align: center;
  }
  div {
    text-align: center;
    border-bottom: 1px solid #ccc;
    padding: 0 0 40px 0;
    margin: 0 0 20px 0;
    span {
      color: #666666;
      padding: 0 10px;
    }
  }
}
</style>
